commit 915ce7955221e04d59dc0ae0ccd97970c60f8eb1
Author: freddy77 <freddy77>
Date:   Thu May 28 16:17:49 2009 +0000

    add tests for mssql2005 types

diff --git a/ChangeLog b/ChangeLog
index 7de0222..59e991c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu May 28 18:17:43 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/data.c: add tests for mssql2005 types
+
 Thu May 28 18:15:23 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.h: add SYBDECIMAL
 
@@ -1585,4 +1588,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2799 2009/05/28 16:15:29 freddy77 Exp $
+$Id: ChangeLog,v 1.2800 2009/05/28 16:17:49 freddy77 Exp $
diff --git a/src/odbc/unittests/data.c b/src/odbc/unittests/data.c
index 0d38b0b..2f1a59c 100644
--- a/src/odbc/unittests/data.c
+++ b/src/odbc/unittests/data.c
@@ -13,7 +13,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: data.c,v 1.26 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: data.c,v 1.27 2009/05/28 16:17:49 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int result = 0;
@@ -178,6 +178,13 @@ main(int argc, char *argv[])
 	Test("DATETIME", "2006-06-09 11:22:44", SQL_C_WCHAR, "23 2006-06-09 11:22:44.000");
 	Test("SMALLDATETIME", "2006-06-12 22:37:21", SQL_C_WCHAR, "19 2006-06-12 22:37:00");
 
+	if (db_is_microsoft() && db_version_int() >= 0x09000000u) {
+		Test("VARCHAR(MAX)", "goodbye!", SQL_C_CHAR, "8 goodbye!");
+		Test("NVARCHAR(MAX)", "Micio mao", SQL_C_CHAR, "9 Micio mao");
+		Test("VARBINARY(MAX)", "ciao", SQL_C_BINARY, "6369616F");
+		Test("XML", "<a b=\"aaa\"><b>ciao</b>hi</a>", SQL_C_CHAR, "28 <a b=\"aaa\"><b>ciao</b>hi</a>");
+	}
+
 	Disconnect();
 
 	if (!result)

